BUG Community

Welcome! Log In

jconnolly's Blog


building JNI bundles

I've previously posted about building against bundles in SVN to get the latest BUG software.  This is a followup with special attention paid to the jni bundles.  I assume a certain knowledge of the SDK, our build system, and eclipse.  You'll need eclipse (3.3.2), subclipse, CDT, and CTE plugins installed.  eclipse 3.3.2: http://archive.eclipse.org/eclipse/downloads/drops/R-3.3.2-200802211800/index.phpsubclipse: http://subclipse.tigris.org/update_1.4.xCDT update site: http://download.eclipse.org/tools/cdt/releases/europaCTE update site: http://concierge.sourceforge.net/cte/updateAs of RC1.4.1 of the BUG software stack, control of the hardware is done by using...
read more

building a BUG App against the API in svn trunk

Us BUG developers have been working up a storm recently to bring out a new release of BUG software (R1.4, as yet unreleased).  This includes new additions to the API for new modules, and the occasional refactoring of APIs for existing modules.  Some of the changes are really cool and I want to begin writing BUG apps against the new APIs immediately.  While the SDK release schedule is fairly frequent, sometimes I prefer not to...
read more